DRM_ATOMIC_HELPER_CO(9)

NAME
drm_atomic_helper_commit_post_planes - modeset commit after plane updates

SYNOPSIS

void drm_atomic_helper_commit_post_planes(struct drm_device * dev, struct drm_atomic_state * old_state);

ARGUMENTS

dev
    DRM device

old_state
    atomic state object with old state structures

DESCRIPTION

This function commits the modeset changes that need to be committed after

UPDATING PLANES

It enables all the outputs with the new configuration which had to be turned off for the update.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT